Bug 257953 - games/crossfire-client: Update to 1.75.1
Summary: games/crossfire-client: Update to 1.75.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://sourceforge.net/p/crossfire/c...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-19 19:59 UTC by Kevin Zheng
Modified: 2021-08-26 11:12 UTC (History)
1 user (show)

See Also:


Attachments
Patch (3.02 KB, patch)
2021-08-19 19:59 UTC, Kevin Zheng
kevinz5000: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2021-08-19 19:59:19 UTC
Created attachment 227331 [details]
Patch

games/crossfire-client: Update to 1.75.1
Comment 1 Fernando Apesteguía freebsd_committer 2021-08-20 12:16:18 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Q/A:  files: empty directory should be removed.


Thanks!
Comment 2 Kevin Zheng 2021-08-20 16:17:56 UTC
Added URL and maintainer-approval (+). Thanks for triage.
Comment 3 Fernando Apesteguía freebsd_committer 2021-08-26 11:12:25 UTC
Committed,

Thanks!
Comment 4 commit-hook freebsd_committer 2021-08-26 11:12:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7db5a7f3a5d7c58b200719b391853c822cfec1ae

commit 7db5a7f3a5d7c58b200719b391853c822cfec1ae
Author:     Kevin Zheng <kevinz5000@gmail.com>
AuthorDate: 2021-08-26 10:48:33 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-08-26 11:07:29 +0000

    games/crossfire-client: Update to 1.75.1

    From ChangeLog:
    https://sourceforge.net/p/crossfire/crossfire-client/ci/master/tree/ChangeLog

    Added

    * Remember the most recently-connected server
    * Display "read" flag for books in the inventory that have been read
    * Add JXClient-like mouse bindings to support inventory operations without
    * middle-click
    * Add local map scroll prediction (disabled by default)

    Changed

    * Request extended text information from older servers

    Fixed

    * Fixed several repeated error messages
    * Fixed build on big-endian architectures
    * Fixed keybindings and sounds on Windows
    * Fixed several crashes

    PR:     257953
    Reported by:    kevinz5000@gmail.com (maintainer)

 games/crossfire-client/Makefile                              |  2 +-
 games/crossfire-client/distinfo                              |  6 +++---
 games/crossfire-client/files/patch-gtk-v2_src_image.c (gone) | 11 -----------
 games/crossfire-client/pkg-plist                             |  4 ----
 4 files changed, 4 insertions(+), 19 deletions(-)